### Virtual Method

# Nautilus MenuProvider get_file_items

#### Declaration [src]

    GList*
    get_file_items (
      NautilusMenuProvider* provider,
      GList* files
    )

#### Description [src]

Returns a `GList` of `NautilusMenuItem`. See `nautilus_menu_provider_get_file_items()` for details.

#### Parameters

`files`

  Type: A list of `NautilusFileInfo*`

  A list of `NautilusFileInfo`.

  The data is owned by the caller of the method.

#### Return value

Type: A list of `NautilusMenuItem*`

The provided list of `NautilusMenuItem`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.